/* ******************************************************************************** *
 * Copyright (c) 2002 - 2004 Bright Side Factory. All rights reserved.              *
 *                                                                                  *
 * Redistribution and use in source and binary forms, with or without modification, *
 * are permitted provided that the following conditions are met:                    *
 *                                                                                  *
 * 1. Redistributions of source code must retain the above copyright notice, this   *
 * list of conditions and the following disclaimer.                                 *
 *                                                                                  *
 * 2. Redistributions in binary form must reproduce the above copyright notice,     *
 * this list of conditions and the following disclaimer in the documentation and/or *
 * other materials provided with the distribution.                                  *
 *                                                                                  *
 * 3. The end-user documentation included with the redistribution, if any, must     *
 * include the following acknowledgment: "This product includes software developed  *
 * by the Bright Side Factory (http://www.bs-factory.org/)." Alternately, this      *
 * acknowledgment may appear in the software itself, if and wherever such           *
 * third-party acknowledgments normally appear.                                     *
 *                                                                                  *
 * 4. The names "Bright Side", "BS Framework" and "Bright Side Factory" must not be *
 * used to endorse or promote products derived from this software without prior     *
 * written permission. For written permission, please contact info@bs-factory.org.  *
 *                                                                                  *
 * 5. Products derived from this software may not be called "Bright Side", nor may  *
 * "Bright Side" appear in their name, without prior written permission of the      *
 * Bright Side Factory.                                                             *
 *                                                                                  *
 * THIS SOFTWARE IS PROVIDED ''AS IS'' BY THE COPYRIGHT OWNER AND ANY EXPRESSED OR  *
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF     *
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT *
 * SHALL THE COPYRIGHT OWNER OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,          *
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,   *
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,    *
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF  *
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE  *
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS OFTWARE, EVEN IF ADVISED *
 * OF THE POSSIBILITY OF SUCH DAMAGE.                                               *
 *                                                                                  *
 * ================================================================================ *
 *                                                                                  *
 * This software consists of voluntary contributions made by many individuals on    *
 * behalf of the Bright Side Factory. For more information on the Bright Side       *
 * Factory, please see http://www.bs-factory.org.                                   *
 *                                                                                  *
 * ******************************************************************************** */
package org.bsf.remoteIterator.common;

import java.io.Serializable;

/**
 * Stores the MetaData (ie. Columns types, JDBC informations) for the
 * RemoteIterator.
 *
 * @see org.bsf.remoteIterator.server.RemoteIteratorBean
 */
public class ColumnMetadata implements Serializable {
    private int _scale;
    private int _precision;
    private int _columnType;
    private String _tableName;
    private String _columnName;
    private String _schemaName;
    private String _columnTypeName;
    private String _columnClassName;

    // *************************************************************************
    // ******************************** Accessors ******************************
    // *************************************************************************

    public int getColumnType() {
        return _columnType;
    }

    public void setColumnType( int p_columnType ) {
        _columnType = p_columnType;
    }

    public String getColumnTypeName() {
        return _columnTypeName;
    }

    public void setColumnTypeName( String p_columnTypeName ) {
        _columnTypeName = p_columnTypeName;
    }

    public int getScale() {
        return _scale;
    }

    public void setScale( int scale ) {
        _scale = scale;
    }

    public int getPrecision() {
        return _precision;
    }

    public void setPrecision( int p_precision ) {
        _precision = p_precision;
    }

    public String getColumnClassName() {
        return _columnClassName;
    }

    public void setColumnClassName( String p_columnClassName ) {
        _columnClassName = p_columnClassName;
    }

    public String getColumnName() {
        return _columnName;
    }

    public void setColumnName( String p_columnName ) {
        _columnName = p_columnName;
    }

    public String getSchemaName() {
        return _schemaName;
    }

    public void setSchemaName( String p_schemaName ) {
        _schemaName = p_schemaName;
    }

    public String getTableName() {
        return _tableName;
    }

    public void setTableName( String p_tableName ) {
        _tableName = p_tableName;
    }

    public String toString() {
        return "ColumnMetada ( " + _schemaName + ", " + _tableName + ", " + _columnName + ", " + _columnClassName + " )";
    }
}